Subject: Re: bug#64652: 28.2; Adding a property bug on Windows 11

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Jul 2023 12:03:05 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sun, 16 Jul 2023 08:56:47 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Yes (except that Isearch has some heuristics regarding letter-case
> > when invoked interactively).  After set-language-environment to
> > Turkish, type "PROPERTIES", go to the beginning of the word you typed,
> > and do
> 
> AFAIU, it then means that any parser/font-lock keywords may fail to
> fontify case-insensitive keywords that contain "i" in Turkish language
> environment.

In general, yes.  And not only in Turkish, there are a couple more
"problematic" locales we know about.

> On the Org side, we may probably use ascii-case-table. However, this
> will break legitimate user edits involving other locales.
> Alternatively, Org may wrap every regexp search into `with-case-table',
> but that will cause performance degradation, AFAIU.
> 
> I feel that the problem may need to be addressed somehow on Emacs side.

We don't know how to do that, feel free to suggest ideas.

The basic difficulty here is that low-level search code has no idea
about the purpose of the search.  Only the Lisp program and its direct
subroutines know.